## GNativeSocketAddress GNativeSocketAddress — Native GSocketAddress |

## Functions

GSocketAddress * | g_native_socket_address_new ()

## Types and Values

| GNativeSocketAddress

## Object Hierarchy

        GObject
        ╰── GSocketAddress
            ╰── GNativeSocketAddress

## Implemented Interfaces

GNativeSocketAddress implements GSocketConnectable.

## Includes

    #include <gio/gio.h>

## Description

A socket address of some unknown native type.

## Functions

### g_native_socket_address_new ()

    GSocketAddress *
    g_native_socket_address_new (gpointer native,
                                 gsize len);

Creates a new GNativeSocketAddress for `native` and `len` .

#### Parameters

native | a native address object |
len | the length of `native` , in bytes |

#### Returns

a new GNativeSocketAddress

Since: 2.46

## Types and Values

### GNativeSocketAddress

    typedef struct _GNativeSocketAddress GNativeSocketAddress;

A socket address, corresponding to a general struct sockadd address of a type not otherwise handled by glib.